
#define BUILD_TESTS -DBUILD_TESTS=ON

Name:    eigen
Summary: A lightweight C++ template library for vector and matrix math
Version: 1.0.5
Release: 2%{?dist} 
Group:   System Environment/Libraries
# see LICENSE
License: GPLv2+ with exceptions
URL:     http://eigen.tuxfamily.org/
Source:  http://download.tuxfamily.org/eigen/eigen-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: cmake
#docs
BuildRequires: doxygen graphviz tex(latex)
%{?BUILD_TESTS:BuildRequires: qt4-devel}

%description
%{summary}

%package devel
Summary: A lightweight C++ template library for vector and matrix math
Group:   Development/Libraries
# -devel subpkg only atm, compat with other distros
Provides: %{name} = %{version}-%{release}
%description devel
%{summary}



%prep
%setup -q -n %{name}


%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} %{?BUILD_TESTS} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# docs
doxygen



%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean 
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)
%doc LICENSE README TODO
%doc html/
%{_includedir}/eigen/



%changelog
* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.5-2
- BR: graphviz tex(latex)
- -devel: Provides: %%name (compat with other distros)

* Tue Mar 18 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.5-1
- fedora'ize

* Fri Jul 06 2007 Helio Chissini de Castro <helio@mandriva.com> 1.0.5-1mdv2008.0
+ Revision: 48943
- import eigen-1.0.5-1mdv2008.0


